FSSCONFIG(8) | System Manager's Manual | FSSCONFIG(8)

# NAME

fssconfig — configure file system snapshot devices

# SYNOPSIS

fssconfig | [-cxv] device path backup [cluster [size]]

fssconfig | -u [-v] device

fssconfig | -l [-v] [device]

# DESCRIPTION

The fssconfig command configures file system snapshot pseudo disk devices. It will associate the file system snapshot disk device with a snapshot of path allowing the latter to be accessed as though it were a disk.

If backup resides on the snapshotted file system a persistent snapshot will be created. This snapshot is active until backup is unlinked. This snapshot mode is only supported for ffs files systems.

Otherwise data written through the path will be saved in backup. If backup is a regular file, it will be created with length size. Default size is the size of path. Data is saved to backup in units of cluster bytes.

Options indicate an action to be performed:

-c
  Configures the device. If successful, references to device will access the contents of path at the time the snapshot was taken. If backup is a directory, a temporary file will be created in this directory. This file will be unlinked on exit.
-l
  List the snapshot devices and indicate which ones are in use. If a specific device is given, then only that will be described.
-u
  Unconfigures the device.
-v
  Be more verbose listing the snapshot devices.
-x
  Unlink backup after the device is configured.

If no action option is given, -c is assumed.

# FILES

/dev/rfss?
/dev/fss?

# EXAMPLES

> `fssconfig fss0 /usr /tmp/back`

Configures the snapshot device fss0 for a snapshot of the /usr file system. Data written through /usr will be backed up in /tmp/back.

> `fssconfig fss1 / /dev/rsd0e 8192`

Configures the snapshot device fss1 for a snapshot of the / file system. Data written through / will be backed up in /dev/rsd0e. The backup will take place in units of 8192 bytes.

> `fssconfig -u fss0`

Unconfigures the fss0 device.

# SEE ALSO

opendisk(3), fss(4), mount(8), umount(8)

# HISTORY

The fssconfig command appeared in NetBSD 2.0.

# BUGS

The fss(4) driver is experimental. Be sure you have a backup before you use it.

January 31, 2005 | NetBSD 6.0